Subject: [bug#50072] [PATCH WIP 0/4] Add upstream updater for git-fetch origins.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 17 Nov 2021 16:03:02 +0100

Hi Sarah,

Friendly reminder about this patch set:

  https://issues.guix.gnu.org/50072

To me, it’s pretty much ready now that we can use
‘package-definition-location’ so that ‘guix refresh -u’ edits the right
bits.

If you’re not able to work on it these days, I can tweak it for
‘package-definition-location’ use and push it on your behalf.
Let me know!

Thanks,
Ludo’.

Ludovic Courtès <[email-masked]> skribis:

> Hi Sarah,
>
> I just noticed I hadn’t answered this message…
>
> Sarah Morgensen <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>
> [...]
>
>>> Sarah Morgensen <[email-masked]> skribis:
>>>
>>>> * guix/git-download.scm (checkout-to-store): New procedure.
>>>> * guix/upstream.scm (guess-version-transform)
>>>> (package-update/git-fetch): New procedures.
>>>> (%method-updates): Add GIT-FETCH mapping.
>>>
>>> This LGTM.
>>
>> Thanks.  WDYT about pre-emptively adding support for non-url URIs as
>> well?  That is,
>>
>> 1. change "urls" in <upstream-source> to "uri"
>>
>> 2. in 'git-fetch'
>>
>>   a) if the upstream-source-uri is a git-reference, just use it as-is
>>      rather than guessing the tag
>>
>>   b) if it's not, return an 'upstream-source' with a git-reference URI 
>>
>> 3. update 'upstream-source-compiler' to work for git-reference URIs.
>>
>> If there are no objections, I think I'll make those changes and send
>> that as a proper patch.
>
> That sounds like a good idea.  We’ll need to check users of
> ‘upstream-source-urls’ & co. and see whether/how they can deal with
> generalized “URIs”.
>
> That said, perhaps it can come after this patch series, which I think
> was mostly waiting on ‘package-definition-location’ initially?
>
> Thanks,
> Ludo’.